version: 1

containers:
  main:
    image: quay.io/keycloak/keycloak:25.0.6
    command: start --proxy edge --hostname-strict=false --db postgres --db-url jdbc:postgresql://postgres.keycloak.{{user}}.nirvati/keycloak --db-username keycloak --db-password {{ derive_entropy(identifier="db_password") }}
    ingress_port: 8080
    environment:
      KEYCLOAK_ADMIN: nirvati
      KEYCLOAK_ADMIN_PASSWORD: {{ derive_entropy(identifier="password") }}
      KEYCLOAK_IMPORT: /tmp/realm.json
      KEYCLOAK_LOGLEVEL: DEBUG
    mounts:
      data:
        keycloak: /opt/keycloak/data

  postgres:
    image: postgres:17
    environment:
      POSTGRES_USER: keycloak
      POSTGRES_PASSWORD: {{ derive_entropy(identifier="db_password") }}
    mounts:
      data:
        postgres/data: /var/lib/postgresql/data
    internal_ports:
      5432: 5432
